Group Profiles
Delete Group
Deletes a group profile from Mixpanel.
POST
/
groups#group-delete
Delete Group
curl --request POST \
--url 'https://{region}.mixpanel.com/groups#group-delete' \
--header 'Content-Type: application/json' \
--data '
[
{
"$token": "YOUR_PROJECT_TOKEN",
"$group_key": "Company",
"$group_id": "Mixpanel",
"$delete": "null"
}
]
'import requests
url = "https://{region}.mixpanel.com/groups#group-delete"
payload = [
{
"$token": "YOUR_PROJECT_TOKEN",
"$group_key": "Company",
"$group_id": "Mixpanel",
"$delete": "null"
}
]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
$token: 'YOUR_PROJECT_TOKEN',
$group_key: 'Company',
$group_id: 'Mixpanel',
$delete: 'null'
}
])
};
fetch('https://{region}.mixpanel.com/groups#group-delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
1Query Parameters
If present and equal to 1, Mixpanel will respond with a JSON Object describing the success or failure of the tracking call. The returned object will have two keys: status, with the value 1 on success and 0 on failure, and error, with a string-valued error message if the request wasn't successful. This is useful for debugging during implementation.
Required range:
0 <= x <= 1Body
application/json
Response
1- One or more objects provided are valid. This does not signify a valid project token or secret.0- No data objects in the body are valid.
The response is of type enum<integer>.
Available options:
1, 0 Was this page helpful?
⌘I
Delete Group
1